# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.analytics
Class ExperimentEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<ExperimentEntry>
                  com.google.gdata.data.analytics.ExperimentEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class ExperimentEntry

extends BaseEntry<ExperimentEntry>

Entry element for experiment feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ExperimentEntry()` Default mutable constructor.
`ExperimentEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`GwoAnalyticsAccountId` `getAnalyticsAccountId()` Returns the Analytics account ID.
`GwoAutoPruneMode` `getAutoPruneMode()` Returns the auto-prune mode.
`GwoControlScript` `getControlScript()` Returns the script to control the experiment.
`GwoConversionScript` `getConversionScript()` Returns the script to record conversions.
`GwoCoverage` `getCoverage()` Returns the percentage of traffic to send to the experiment.
`GwoExperimentId` `getExperimentId()` Returns the experiment ID.
`GwoExperimentNotes` `getExperimentNotes()` Returns the experiment's notes.
`GwoExperimentType` `getExperimentType()` Returns the experiment type.
`GwoNumAbPageVariations` `getNumAbPageVariations()` Returns the number of page variations in an A/B experiment.
`GwoNumCombinations` `getNumCombinations()` Returns the number of combinations.
`GwoNumSections` `getNumSections()` Returns the number of sections in a multivariate experiment.
`GwoSourceExperimentId` `getSourceExperimentId()` Returns the experiment ID that identifies the source experiment.
`GwoStatus` `getStatus()` Returns the experiment status.
`GwoTrackingScript` `getTrackingScript()` Returns the script to track this experiment.
`GwoVerificationCombo` `getVerificationCombo()` Returns the verification combination index.
`GwoVerificationComboCoverage` `getVerificationComboCoverage()` Returns the percentage of traffic to send to the verify combo.
`boolean` `hasAnalyticsAccountId()` Returns whether it has the Analytics account ID.
`boolean` `hasAutoPruneMode()` Returns whether it has the auto-prune mode.
`boolean` `hasControlScript()` Returns whether it has the script to control the experiment.
`boolean` `hasConversionScript()` Returns whether it has the script to record conversions.
`boolean` `hasCoverage()` Returns whether it has the percentage of traffic to send to the experiment.
`boolean` `hasExperimentId()` Returns whether it has the experiment ID.
`boolean` `hasExperimentNotes()` Returns whether it has the experiment's notes.
`boolean` `hasExperimentType()` Returns whether it has the experiment type.
`boolean` `hasNumAbPageVariations()` Returns whether it has the number of page variations in an A/B experiment.
`boolean` `hasNumCombinations()` Returns whether it has the number of combinations.
`boolean` `hasNumSections()` Returns whether it has the number of sections in a multivariate experiment.
`boolean` `hasSourceExperimentId()` Returns whether it has the experiment ID that identifies the source experiment.
`boolean` `hasStatus()` Returns whether it has the experiment status.
`boolean` `hasTrackingScript()` Returns whether it has the script to track this experiment.
`boolean` `hasVerificationCombo()` Returns whether it has the verification combination index.
`boolean` `hasVerificationComboCoverage()` Returns whether it has the percentage of traffic to send to the verify combo.
`void` `setAnalyticsAccountId(GwoAnalyticsAccountId analyticsAccountId)` Sets the Analytics account ID.
`void` `setAutoPruneMode(GwoAutoPruneMode autoPruneMode)` Sets the auto-prune mode.
`void` `setControlScript(GwoControlScript controlScript)` Sets the script to control the experiment.
`void` `setConversionScript(GwoConversionScript conversionScript)` Sets the script to record conversions.
`void` `setCoverage(GwoCoverage coverage)` Sets the percentage of traffic to send to the experiment.
`void` `setExperimentId(GwoExperimentId experimentId)` Sets the experiment ID.
`void` `setExperimentNotes(GwoExperimentNotes experimentNotes)` Sets the experiment's notes.
`void` `setExperimentType(GwoExperimentType experimentType)` Sets the experiment type.
`void` `setNumAbPageVariations(GwoNumAbPageVariations numAbPageVariations)` Sets the number of page variations in an A/B experiment.
`void` `setNumCombinations(GwoNumCombinations numCombinations)` Sets the number of combinations.
`void` `setNumSections(GwoNumSections numSections)` Sets the number of sections in a multivariate experiment.
`void` `setSourceExperimentId(GwoSourceExperimentId sourceExperimentId)` Sets the experiment ID that identifies the source experiment.
`void` `setStatus(GwoStatus status)` Sets the experiment status.
`void` `setTrackingScript(GwoTrackingScript trackingScript)` Sets the script to track this experiment.
`void` `setVerificationCombo(GwoVerificationCombo verificationCombo)` Sets the verification combination index.
`void` `setVerificationComboCoverage(GwoVerificationComboCoverage verificationComboCoverage)` Sets the percentage of traffic to send to the verify combo.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExperimentEntry

    public ExperimentEntry()

  Default mutable constructor.

### ExperimentEntry

    public ExperimentEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getAnalyticsAccountId

    public GwoAnalyticsAccountId getAnalyticsAccountId()

  Returns the Analytics account ID.

  Returns:
    Analytics account ID

### setAnalyticsAccountId

    public void setAnalyticsAccountId(GwoAnalyticsAccountId analyticsAccountId)

  Sets the Analytics account ID.

  Parameters:
    `analyticsAccountId` - Analytics account ID or `null` to reset

### hasAnalyticsAccountId

    public boolean hasAnalyticsAccountId()

  Returns whether it has the Analytics account ID.

  Returns:
    whether it has the Analytics account ID

### getAutoPruneMode

    public GwoAutoPruneMode getAutoPruneMode()

  Returns the auto-prune mode.

  Returns:
    auto-prune mode

### setAutoPruneMode

    public void setAutoPruneMode(GwoAutoPruneMode autoPruneMode)

  Sets the auto-prune mode.

  Parameters:
    `autoPruneMode` - auto-prune mode or `null` to reset

### hasAutoPruneMode

    public boolean hasAutoPruneMode()

  Returns whether it has the auto-prune mode.

  Returns:
    whether it has the auto-prune mode

### getControlScript

    public GwoControlScript getControlScript()

  Returns the script to control the experiment.

  Returns:
    script to control the experiment

### setControlScript

    public void setControlScript(GwoControlScript controlScript)

  Sets the script to control the experiment.

  Parameters:
    `controlScript` - script to control the experiment or `null` to reset

### hasControlScript

    public boolean hasControlScript()

  Returns whether it has the script to control the experiment.

  Returns:
    whether it has the script to control the experiment

### getConversionScript

    public GwoConversionScript getConversionScript()

  Returns the script to record conversions.

  Returns:
    script to record conversions

### setConversionScript

    public void setConversionScript(GwoConversionScript conversionScript)

  Sets the script to record conversions.

  Parameters:
    `conversionScript` - script to record conversions or `null` to reset

### hasConversionScript

    public boolean hasConversionScript()

  Returns whether it has the script to record conversions.

  Returns:
    whether it has the script to record conversions

### getCoverage

    public GwoCoverage getCoverage()

  Returns the percentage of traffic to send to the experiment.

  Returns:
    percentage of traffic to send to the experiment

### setCoverage

    public void setCoverage(GwoCoverage coverage)

  Sets the percentage of traffic to send to the experiment.

  Parameters:
    `coverage` - percentage of traffic to send to the experiment or `null` to reset

### hasCoverage

    public boolean hasCoverage()

  Returns whether it has the percentage of traffic to send to the experiment.

  Returns:
    whether it has the percentage of traffic to send to the experiment

### getExperimentId

    public GwoExperimentId getExperimentId()

  Returns the experiment ID.

  Returns:
    experiment ID

### setExperimentId

    public void setExperimentId(GwoExperimentId experimentId)

  Sets the experiment ID.

  Parameters:
    `experimentId` - experiment ID or `null` to reset

### hasExperimentId

    public boolean hasExperimentId()

  Returns whether it has the experiment ID.

  Returns:
    whether it has the experiment ID

### getExperimentNotes

    public GwoExperimentNotes getExperimentNotes()

  Returns the experiment's notes.

  Returns:
    experiment's notes

### setExperimentNotes

    public void setExperimentNotes(GwoExperimentNotes experimentNotes)

  Sets the experiment's notes.

  Parameters:
    `experimentNotes` - experiment's notes or `null` to reset

### hasExperimentNotes

    public boolean hasExperimentNotes()

  Returns whether it has the experiment's notes.

  Returns:
    whether it has the experiment's notes

### getExperimentType

    public GwoExperimentType getExperimentType()

  Returns the experiment type.

  Returns:
    experiment type

### setExperimentType

    public void setExperimentType(GwoExperimentType experimentType)

  Sets the experiment type.

  Parameters:
    `experimentType` - experiment type or `null` to reset

### hasExperimentType

    public boolean hasExperimentType()

  Returns whether it has the experiment type.

  Returns:
    whether it has the experiment type

### getNumAbPageVariations

    public GwoNumAbPageVariations getNumAbPageVariations()

  Returns the number of page variations in an A/B experiment.

  Returns:
    number of page variations in an A/B experiment

### setNumAbPageVariations

    public void setNumAbPageVariations(GwoNumAbPageVariations numAbPageVariations)

  Sets the number of page variations in an A/B experiment.

  Parameters:
    `numAbPageVariations` - number of page variations in an A/B experiment or `null` to reset

### hasNumAbPageVariations

    public boolean hasNumAbPageVariations()

  Returns whether it has the number of page variations in an A/B experiment.

  Returns:
    whether it has the number of page variations in an A/B experiment

### getNumCombinations

    public GwoNumCombinations getNumCombinations()

  Returns the number of combinations.

  Returns:
    number of combinations

### setNumCombinations

    public void setNumCombinations(GwoNumCombinations numCombinations)

  Sets the number of combinations.

  Parameters:
    `numCombinations` - number of combinations or `null` to reset

### hasNumCombinations

    public boolean hasNumCombinations()

  Returns whether it has the number of combinations.

  Returns:
    whether it has the number of combinations

### getNumSections

    public GwoNumSections getNumSections()

  Returns the number of sections in a multivariate experiment.

  Returns:
    number of sections in a multivariate experiment

### setNumSections

    public void setNumSections(GwoNumSections numSections)

  Sets the number of sections in a multivariate experiment.

  Parameters:
    `numSections` - number of sections in a multivariate experiment or `null` to reset

### hasNumSections

    public boolean hasNumSections()

  Returns whether it has the number of sections in a multivariate experiment.

  Returns:
    whether it has the number of sections in a multivariate experiment

### getSourceExperimentId

    public GwoSourceExperimentId getSourceExperimentId()

  Returns the experiment ID that identifies the source experiment.

  Returns:
    experiment ID that identifies the source experiment

### setSourceExperimentId

    public void setSourceExperimentId(GwoSourceExperimentId sourceExperimentId)

  Sets the experiment ID that identifies the source experiment.

  Parameters:
    `sourceExperimentId` - experiment ID that identifies the source experiment or `null` to reset

### hasSourceExperimentId

    public boolean hasSourceExperimentId()

  Returns whether it has the experiment ID that identifies the source experiment.

  Returns:
    whether it has the experiment ID that identifies the source experiment

### getStatus

    public GwoStatus getStatus()

  Returns the experiment status.

  Returns:
    experiment status

### setStatus

    public void setStatus(GwoStatus status)

  Sets the experiment status.

  Parameters:
    `status` - experiment status or `null` to reset

### hasStatus

    public boolean hasStatus()

  Returns whether it has the experiment status.

  Returns:
    whether it has the experiment status

### getTrackingScript

    public GwoTrackingScript getTrackingScript()

  Returns the script to track this experiment.

  Returns:
    script to track this experiment

### setTrackingScript

    public void setTrackingScript(GwoTrackingScript trackingScript)

  Sets the script to track this experiment.

  Parameters:
    `trackingScript` - script to track this experiment or `null` to reset

### hasTrackingScript

    public boolean hasTrackingScript()

  Returns whether it has the script to track this experiment.

  Returns:
    whether it has the script to track this experiment

### getVerificationCombo

    public GwoVerificationCombo getVerificationCombo()

  Returns the verification combination index.

  Returns:
    verification combination index

### setVerificationCombo

    public void setVerificationCombo(GwoVerificationCombo verificationCombo)

  Sets the verification combination index.

  Parameters:
    `verificationCombo` - verification combination index or `null` to reset

### hasVerificationCombo

    public boolean hasVerificationCombo()

  Returns whether it has the verification combination index.

  Returns:
    whether it has the verification combination index

### getVerificationComboCoverage

    public GwoVerificationComboCoverage getVerificationComboCoverage()

  Returns the percentage of traffic to send to the verify combo.

  Returns:
    percentage of traffic to send to the verify combo

### setVerificationComboCoverage

    public void setVerificationComboCoverage(GwoVerificationComboCoverage verificationComboCoverage)

  Sets the percentage of traffic to send to the verify combo.

  Parameters:
    `verificationComboCoverage` - percentage of traffic to send to the verify combo or `null` to reset

### hasVerificationComboCoverage

    public boolean hasVerificationComboCoverage()

  Returns whether it has the percentage of traffic to send to the verify combo.

  Returns:
    whether it has the percentage of traffic to send to the verify combo

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`